package org.jdtaus.core.container.ri.servlet;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class ServletFilterBundle{ 

/** <pre> System property {0} set to {1}.</pre>. */
public static String getSystemPropertyWarningText(final Locale locale) {
    return getMessage("systemPropertyWarning", locale);
}

/** <pre> System property {0} set to {1}.</pre>. */
public static MessageFormat getSystemPropertyWarningMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("systemPropertyWarning", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    return ResourceBundle.getBundle(
        "org.jdtaus.core.container.ri.servlet.ServletFilter", locale).getString(key);
}

}
